package com.heyu.api.data.service.ota;
/**
* <p>
* OTA升级记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.ota.OtaRecordEntity;
public interface OtaRecordService extends IService<OtaRecordEntity> {



	OtaRecordEntity selectOtaRecordById(Long id);


	Long insertOtaRecord(OtaRecordEntity otaRecord);


	Long insertOrUpdateOtaRecord(OtaRecordEntity otaRecord);


	int updateOtaRecordById(OtaRecordEntity otaRecord);


	int updateCoverOtaRecordById(OtaRecordEntity otaRecord);


	int deleteOtaRecordById(Long id);


}